Bug 907732 - libvirt do not check the invalid parameters for cpu-stats
libvirt do not check the invalid parameters for cpu-stats
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: John Ferlan
Virtualization Bugs
: Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 01:55 EST by weizhang
Modified: 2014-04-04 16:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 16:58:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weizhang 2013-02-05 01:55:46 EST
Description of problem:
# virsh cpu-stats guest xyz
# virsh cpu-stats guest --start xyz
# virsh cpu-stats guest --count xyz
# virsh cpu-stats guest --count 99999999999
Do not report error for invalid parameters

Version-Release number of selected component (if applicable):
libvirt-0.10.2-18.el6.x86_64
qemu-kvm-0.12.1.2-2.355.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. # virsh cpu-stats guest xyz
2. # virsh cpu-stats guest --start xyz
3. # virsh cpu-stats guest --count xyz
4. # virsh cpu-stats guest --count 99999999999
  
Actual results:
Do not report any error

Expected results:
Should report clear error

Additional info:
Comment 2 John Ferlan 2013-04-11 19:14:45 EDT
Patch has been checked in upstream, see

https://www.redhat.com/archives/libvir-list/2013-April/msg00637.html

commit id: 6528b7044fb0d921854ea916770b9f20173e1923
Comment 7 RHEL Product and Program Management 2014-04-04 16:58:55 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.